%define name    e
%define oname   enlightenment
%define version 0.17.1
%define option  0
%define svn     0
%if %option
%define rel 1.%option.2
%define namevers %name-%version-%option
%else
%define rel 3
%define namevers %name-%version
%endif
%if %svn
%define release %mkrel -c %svn %rel
%else
%define release %mkrel %rel
%endif

Summary: 	Enlightenment DR 17 window manager
Name: 		%name
Version: 	%version
Release: 	%release
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL:		http://www.enlightenment.org/
# creating archive is quite simple:
# svn export http://svn.enlightenment.org/svn/e/trunk/%name %name
# tar cJf %name-%svn.tar.xz %name
%if %svn
Source:         %name-%svn.tar.xz
%else
%if %option
Source: 	enlightenment-%version-%option.tar.bz2
%else
Source: 	enlightenment-%version.tar.bz2
%endif
%endif
# Source1:	A-Mageia-3.edj.bz2
Patch0:         e17_sysactions.conf.patch
BuildRequires: pkgconfig(dbus-1)
BuildRequires: pkgconfig(ebluez) >= 1.2.0
BuildRequires: pkgconfig(ecore) >= 1.7.0
BuildRequires: pkgconfig(ecore-con) >= 1.7.0
BuildRequires: pkgconfig(ecore-evas) >= 1.7.0
BuildRequires: pkgconfig(ecore-file) >= 1.7.0
BuildRequires: pkgconfig(ecore-input) >= 1.7.0
BuildRequires: pkgconfig(ecore-input-evas) >= 1.7.0
BuildRequires: pkgconfig(ecore-ipc) >= 1.7.0
BuildRequires: pkgconfig(ecore-x) >= 1.7.0
BuildRequires: pkgconfig(edbus) >= 1.7.0
BuildRequires: pkgconfig(edje) >= 1.7.0
BuildRequires: pkgconfig(eet) >= 1.7.0
BuildRequires: pkgconfig(eeze) >= 1.7.0
BuildRequires: pkgconfig(efreet) >= 1.7.0
BuildRequires: pkgconfig(efreet-mime) >= 1.7.0
BuildRequires: pkgconfig(efreet-trash) >= 1.7.0
BuildRequires: pkgconfig(eina) >= 1.7.0
BuildRequires: pkgconfig(eio) >= 1.7.0
BuildRequires: pkgconfig(elementary) >= 1.7.0
BuildRequires: pkgconfig(eofono) >= 1.7.0
BuildRequires: pkgconfig(evas) >= 1.7.0
BuildRequires: pkgconfig(xcb)
BuildRequires: pkgconfig(xcb-shape)
BuildRequires: pkgconfig(xcb-keysyms)
BuildRequires: edje embryo
BuildRequires:	gettext-devel
BuildRequires:	pam-devel
BuildRequires:	libalsa-devel
BuildRequires:	multiarch-utils
BuildRequires: terminology
Requires:	terminology
Requires:	acpitool
Requires:	eet >= 1.7.0
Requires:       ecore >= 1.7.0
Requires:       efreet >= 1.7.0
Requires:       embryo >= 1.7.0
Requires:       e_dbus >= 1.7.0
Requires:       desktop-common-data
# mixer module have been merged into main from e_modules
Conflicts:	e_modules < 1:0.0.1-1.r81625.3
# default theme has been renamed and replaced by theme from e17-themes-mageia
Conflicts:	e17-themes-mageia < 0:0.4-4

%description
E17 is a next generation window manager for UNIX operating systems. Based on
the Enlightenment Foundation Libraries (EFL), E17 is much more than just
another window manager - it's an ambitious and innovative project that aims
to drive the development of graphical applications industry-wide for several
years to come.

%package devel
Summary: Enlightenment library headers and development libraries
Group: System/Libraries
Obsoletes: %mklibname e 0 -d

%description devel
E17 development headers and development libraries.

%prep
%if %svn
%setup -qn %name
%else
%if %option
%setup -qn enlightenment-%version-%option
%else
%setup -qn enlightenment-%version
%endif
%endif
%patch0 -p1

%build
%if %svn
LC_ALL=C NOCONFIGURE=1 ./autogen.sh
%endif
%configure2_5x --enable-files --disable-static --disable-device-hal --disable-mount-hal --enable-device-udev
%make

%install
%makeinstall_std

find %buildroot -name '*.la' | xargs rm
#fake e-config
touch %buildroot/%{_bindir}/enlightenment-config
%multiarch_binaries %buildroot/%{_bindir}/enlightenment-config
%find_lang enlightenment

# display manager entry
mkdir -p %buildroot/%{_sysconfdir}/X11/wmsession.d
cat << EOF > $RPM_BUILD_ROOT/%{_sysconfdir}/X11/wmsession.d/23E17
NAME=E17
ICON=
EXEC=/usr/bin/enlightenment_start
SCRIPT:
exec /usr/bin/enlightenment_start
EOF

# We already have wmsession.d/23E17, so we can remove
# xsessions/enlightenment.desktop. If we keep both files, we'll have both "E17"
# and "Enlightenment" options in the Display Manager (GDM, Entrance), which is
# not good.
# Also, the wmsession.d file is used to generate
# /etc/X11/dm/Sessions/23E17.desktop, which uses Xsession and consequently
# consolekit. If you re-enable the sessions/enlightenment.desktop, please patch
# it to use Exec="/usr/share/X11/xdm/Xsession E17". See bug #59123
rm -f %{buildroot}/%{_datadir}/xsessions/enlightenment.desktop


# -----------------------------------------------------------------------------
# We no longer use "custom" mageia theme as default theme.
# We use the default theme. All mageia themes will be in
# e17-themes-mageia, and all others in e17-themes-extra.
# -----------------------------------------------------------------------------

# rename default theme, so we can replace it with our theme
# mv %buildroot%{_datadir}/enlightenment/data/themes/default.edj  %buildroot%{_datadir}/enlightenment/data/themes/original-default.edj

# add our theme as default
# bzcat %{SOURCE1} > %buildroot%{_datadir}/enlightenment/data/themes/default.edj

%files -f enlightenment.lang
%doc AUTHORS README COPYING doc/*
%_bindir/enlightenment
%_bindir/enlightenment_*
%_datadir/enlightenment
%_libdir/enlightenment
%_datadir/applications/enlightenment_filemanager.desktop
%config %_sysconfdir/X11/wmsession.d/23E17
%config(noreplace) %_sysconfdir/enlightenment/sysactions.conf
%config(noreplace) %_sysconfdir/xdg/menus/enlightenment.menu

%files devel
%{_bindir}/enlightenment-config
%{_libdir}/pkgconfig/*.pc
%multiarch %{multiarch_bindir}/enlightenment-config
%_includedir/enlightenment


%changelog

* Tue May 07 2013 trem <trem> 0.17.1-3.mga3
+ Revision: 412584
- increase release to rebuild

* Sun Mar 31 2013 neoclust <neoclust> 0.17.1-2.mga3
+ Revision: 406899
- Fix upgrade by adding a conflict

* Sun Mar 10 2013 trem <trem> 0.17.1-1.mga3
+ Revision: 402041
- update to 0.17.1 (bugfix release)

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 trem <trem> 0.17.0-3.mga3
+ Revision: 334122
- update theme (use default one)

* Sat Dec 22 2012 trem <trem> 0.17.0-2.mga3
+ Revision: 333977
- update to release 0.17.0
- update to release 0.17.0

* Fri Dec 21 2012 trem <trem> 0.17.0-1.omega.1.mga3
+ Revision: 333637
- update default theme to A-Mageia-3.edj

* Fri Dec 21 2012 trem <trem> 0.17.0-0.omega.1.mga3
+ Revision: 333628
- update to release 0.17.0-omega

* Sat Dec 15 2012 trem <trem> 0.17.0-0.lucky.1.mga3
+ Revision: 331085
- update to release 0.17.0-lucky

* Tue Dec 11 2012 trem <trem> 0.17.0-0.gamma.1.mga3
+ Revision: 329790
- update to release 0.17.0-gamma

* Sat Dec 08 2012 trem <trem> 0.17.0-0.beta.1.mga3
+ Revision: 328221
- update to release 0.17.0-beta

* Tue Dec 04 2012 trem <trem> 0.17.0-0.alpha8.1.mga3
+ Revision: 326517
- update to release 0.17.0-alpha8

* Fri Nov 30 2012 trem <trem> 0.17.0-0.alpha7.1.mga3
+ Revision: 323545
- update to release 0.17.0-alpha7

* Sat Nov 24 2012 trem <trem> 0.17.0-0.alpha5.1.mga3
+ Revision: 321521
- add xcb-keysyms as buildrequires
- update to release 0.17.0-alpha5

* Sat Sep 22 2012 trem <trem> 0.16.999.76819-1.mga3
+ Revision: 296657
- update to release 76819

* Wed Sep 12 2012 fwang <fwang> 0.16.999.76435-1.mga3
+ Revision: 292552
- update file list
- disable hal
- new version 0.16.999.76435

  + doktor5000 <doktor5000>
    - updated default A-Mageia2 theme (Agust)
      o fixes some glitches, f.ex. with E first-start wizard

* Wed May 02 2012 trem <trem> 0.16.999.68658-0.r69188.3.mga2
+ Revision: 234539
- update conflict to fix upgrade between mga1 and mga2 (#5721)

  + doktor5000 <doktor5000>
    - add default Mageia 2 theme as standard theme
    - rename default upstream theme to original-default.edj
    - drop unused Mageia background/profile

* Sun Mar 11 2012 trem <trem> 0.16.999.68658-0.r69188.1.mga2
+ Revision: 222696
- update to release 69188

* Sat Mar 10 2012 trem <trem> 0.16.999.68658-0.r69165.1.mga2
+ Revision: 222519
- use 68658 as version
- update to release 69165

* Sun Mar 04 2012 trem <trem> 0.16.999.68658-0.r68658.1.mga2
+ Revision: 218007
- update to release 68658

* Sat Mar 03 2012 trem <trem> 0.16.999.68649-0.r68649.1.mga2
+ Revision: 217557
- update to release 68649

* Sun Feb 26 2012 trem <trem> 0.16.999.68450-0.r68450.1.mga2
+ Revision: 215225
- update to release 68450

* Sat Feb 25 2012 trem <trem> 0.16.999.68434-0.r68434.1.mga2
+ Revision: 214436
- update to release 68434

* Fri Feb 24 2012 trem <trem> 0.16.999.68363-0.r68363.1.mga2
+ Revision: 213985
- update to release 68363

* Wed Feb 22 2012 trem <trem> 0.16.999.68228-0.r68228.1.mga2
+ Revision: 212088
- update to release 68228

* Sun Feb 19 2012 trem <trem> 0.16.999.68120-0.r68120.1.mga2
+ Revision: 210804
- update to release 68120

* Sat Feb 18 2012 trem <trem> 0.16.999.68102-0.r68102.1.mga2
+ Revision: 210252
- update to release 68102

* Sat Feb 11 2012 trem <trem> 0.16.999.67851-0.r67851.1.mga2
+ Revision: 207555
- update to release 67851

* Sat Feb 11 2012 trem <trem> 0.16.999.67846-0.r67846.1.mga2
+ Revision: 207268
- update to release 67846

* Fri Feb 10 2012 trem <trem> 0.16.999.67830-0.r67830.1.mga2
+ Revision: 206977
- update to release 67830

* Tue Feb 07 2012 trem <trem> 0.16.999.67715-0.r67715.1.mga2
+ Revision: 206012
- update to release 67715
- update to release 67703
- update to release 67702
- update to release 67698
- update to release 67688
- update to release 67680

* Sun Dec 04 2011 trem <trem> 0.16.999.65867-0.r65867.1.mga2
+ Revision: 176097
- update to release 65867

* Tue Nov 29 2011 trem <trem> 0.16.999.65688-0.r65688.1.mga2
+ Revision: 174243
- update to release 65688

* Sun Nov 27 2011 trem <trem> 0.16.999.65613-0.r65613.1.mga2
+ Revision: 172966
- update to release 65613

* Sun Nov 20 2011 trem <trem> 0.16.999.65428-0.r65428.1.mga2
+ Revision: 169729
- update to release 65428

* Thu Nov 17 2011 trem <trem> 0.16.999.65341-0.r65341.1.mga2
+ Revision: 168448
- update to release 65341

* Wed Nov 16 2011 trem <trem> 0.16.999.65269-0.r65269.1.mga2
+ Revision: 168203
- update to release 65269

* Sun Nov 13 2011 trem <trem> 0.16.999.65129-0.r65129.1.mga2
+ Revision: 167165
- update to release 65129

* Fri Nov 11 2011 trem <trem> 0.16.999.65056-0.r65056.1.mga2
+ Revision: 166587
- update to release 65056

* Sat Nov 05 2011 trem <trem> 0.16.999.64753-0.r64753.1.mga2
+ Revision: 163330
- update to release 64753

* Tue Nov 01 2011 trem <trem> 0.16.999.64603-0.r64603.1.mga2
+ Revision: 160816
- update to release 64603

* Mon Oct 31 2011 trem <trem> 0.16.999.64579-0.r64579.1.mga2
+ Revision: 160602
- update to release 64579

* Sun Oct 30 2011 trem <trem> 0.16.999.64519-0.r64519.1.mga2
+ Revision: 160065
- update to release 64519

* Sat Oct 29 2011 trem <trem> 0.16.999.64511-0.r64511.1.mga2
+ Revision: 159818
- update to r64511

* Fri Oct 28 2011 trem <trem> 0.16.999.64327-0.r64501.1.mga2
+ Revision: 159292
- update to r64501

* Wed Oct 26 2011 trem <trem> 0.16.999.64327-0.r64414.1.mga2
+ Revision: 158389
- update to r64414
- use release-version on e17 br package (instead of just version)

* Mon Oct 24 2011 trem <trem> 0.16.999.64327-0.r64328.1.mga2
+ Revision: 157791
- use svn release (instead of stable release)
- spec cleaning

* Wed Sep 21 2011 fwang <fwang> 0.16.999.55225-2.mga2
+ Revision: 146439
- drop .la files

* Tue Apr 19 2011 ennael <ennael> 0.16.999.55225-1.mga1
+ Revision: 88122
- add mageia background
- imported package e


* Sat Dec 18 2010 Funda Wang <fwang@mandriva.org> 0.16.999.55225-1mdv2011.0
+ Revision: 622841
- new version 0.16.999.55225

* Tue Nov 16 2010 Funda Wang <fwang@mandriva.org> 0.16.999.54504-1mdv2011.0
+ Revision: 597966
- new version 0.16.999.54504

* Sat Nov 06 2010 Rémy Clouard <shikamaru@mandriva.org> 0.16.999.52995-3mdv2011.0
+ Revision: 594169
- fix build, use a wildcard for the moment, dunno how to escape these parentheses properly

  + Funda Wang <fwang@mandriva.org>
    - bump rel
    - fix build
    - New version 0.16.999.52995

* Fri Jul 16 2010 Funda Wang <fwang@mandriva.org> 0.16.999.49898-1mdv2011.0
+ Revision: 554076
- new version 0.16.999.49898

* Tue Jun 01 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 0.16.999.063-2mdv2010.1
+ Revision: 546848
- Remove duplicate desktop file (for display manager)
  CCBUG: 59123
- Don't manually run %%make_session: we have a filetrigger for it

* Sun Dec 13 2009 Funda Wang <fwang@mandriva.org> 0.16.999.063-1mdv2010.1
+ Revision: 478181
- update file list
- rediff fwin patch
- new version 0.16.999.063

* Fri Aug 07 2009 Funda Wang <fwang@mandriva.org> 0.16.999.062-1mdv2010.0
+ Revision: 411149
- new version 0.16.999.062

* Thu Jul 09 2009 Funda Wang <fwang@mandriva.org> 0.16.999.061-1mdv2010.0
+ Revision: 393742
- rediff fwin patch
- new version 0.16.999.061

* Sat May 02 2009 Funda Wang <fwang@mandriva.org> 0.16.999.060-1mdv2010.0
+ Revision: 370745
- rediff fwin patch
- bunzip2 patches
- New version 0.16.999.060

* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 0.16.999.050-7mdv2009.1
+ Revision: 349955
- rebuild

* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 0.16.999.050-6mdv2009.1
+ Revision: 349870
- only use a mdv background
- new background image

* Thu Mar 05 2009 Antoine Ginies <aginies@mandriva.com> 0.16.999.050-5mdv2009.1
+ Revision: 349135
- add a basic mdv theme
- increase default size of efm
- add sysconf action

* Mon Mar 02 2009 Antoine Ginies <aginies@mandriva.com> 0.16.999.050-4mdv2009.1
+ Revision: 347231
- remove *.a files
- fake e-config file
- new tarball
- adjust buildrequires
- SVN SNAPSHOT 20090227, release 0.16.999.050

* Wed Oct 15 2008 Funda Wang <fwang@mandriva.org> 0.16.999.050-3mdv2009.1
+ Revision: 293953
- consider mixer module movement

* Wed Oct 15 2008 Funda Wang <fwang@mandriva.org> 0.16.999.050-2mdv2009.1
+ Revision: 293926
- fix requires

* Sun Oct 12 2008 Funda Wang <fwang@mandriva.org> 0.16.999.050-1mdv2009.1
+ Revision: 292693
- add BR on eet binary and alsa
- New version 0.16.999.050

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.16.999.043-2mdv2009.0
+ Revision: 266596
- rebuild early 2009.0 package (before pixel changes)

* Sun Jun 01 2008 Funda Wang <fwang@mandriva.org> 0.16.999.043-1mdv2009.0
+ Revision: 214007
- New version 0.16.999.043

* Fri Feb 15 2008 Antoine Ginies <aginies@mandriva.com> 0.16.999.042-4mdv2008.1
+ Revision: 169002
- CVS snapshot 20080215, restore specific buildrequires

* Sun Feb 10 2008 Austin Acton <austin@mandriva.org> 0.16.999.042-3mdv2008.1
+ Revision: 164871
- fix lib64 path (bad coders! bad!)
- re-add wmsession file; we're not fully xdg yet

* Sun Feb 03 2008 Austin Acton <austin@mandriva.org> 0.16.999.042-2mdv2008.1
+ Revision: 161633
- fix requires

* Sun Feb 03 2008 Austin Acton <austin@mandriva.org> 0.16.999.042-1mdv2008.1
+ Revision: 161590
- new version
- fix URL
- try to simplify deps
- disable second session entry (is it necessary?)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Nov 02 2007 Antoine Ginies <aginies@mandriva.com> 0.16.999.041-2mdv2008.1
+ Revision: 105184
- fix epeg buildrequires, eet-devel buildrequires seems to be good (build error missing deps...)
- update buildrequires andrequires
- update buildrequires

* Fri Aug 31 2007 Antoine Ginies <aginies@mandriva.com> 0.16.999.041-1mdv2008.0
+ Revision: 76866
- update buildrequires
- update E to release 0.16.999.041

* Wed Jun 13 2007 Antoine Ginies <aginies@mandriva.com> 0.16.999.038-11mdv2008.0
+ Revision: 38594
- CVS snapshot 20070613 wich fix:
- move and resize at the same time confusion
- Pager not updating properly
- border zone isnt updated when a border is moved to a different zone
- e segvs when a window gets closed and the winlist is shown directly afterwards
- ecore_con shutdown causes x to terminate
- Fix window group menu name
- add an application to ibar problem (corrupted .order file)

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 0.16.999.038-10mdv2008.0
+ Revision: 36144
- rebuild with correct optflags

  + Antoine Ginies <aginies@mandriva.com>
    - adjust some requires

* Mon Jun 04 2007 Antoine Ginies <aginies@mandriva.com> 0.16.999.038-8mdv2008.0
+ Revision: 35053
- CVS snapshot 20070604, major update of fr.po

* Sat Jun 02 2007 Antoine Ginies <aginies@mandriva.com> 0.16.999.038-7mdv2008.0
+ Revision: 34439
- increase release
- add pam-devel buildrequires, add doc/ /*, update fr.po file

* Fri Jun 01 2007 Antoine Ginies <aginies@mandriva.com> 0.16.999.038-6mdv2008.0
+ Revision: 33883
- increase mkrel
- fix problem while adding a new application in I

* Thu May 31 2007 Antoine Ginies <aginies@mandriva.com> 0.16.999.038-5mdv2008.0
+ Revision: 33062
- add edje buildrequires
- add some provides
- adjust some buildrequires
- not a typo :)
- fix typo

* Fri May 25 2007 Antoine Ginies <aginies@mandriva.com> 0.16.999.038-3mdv2008.0
+ Revision: 31089
- CVS snapshot 20070525

* Thu May 24 2007 Antoine Ginies <aginies@mandriva.com> 0.16.999.038-2mdv2008.0
+ Revision: 30657
- CVS snapshot 20070524

* Mon May 21 2007 Antoine Ginies <aginies@mandriva.com> 0.16.999.038-1mdv2008.0
+ Revision: 29284
- remove unwanted changelog
- cvs snapshot release 20070516
- update release, fix wmsessions.d file, adjust configure options
- cvs snapshot 20070516, adjust buildrequires

* Tue Apr 24 2007 Pascal Terjan <pterjan@mandriva.org> 0.16.999.037-2mdv2008.0
+ Revision: 17859
- Drop the menu-method, e17 now supports .desktop

* Tue Apr 24 2007 Pascal Terjan <pterjan@mandriva.org> 0.16.999.037-1mdv2008.0
+ Revision: 17734
- BuildRequires embryo
- 0.16.999.037
- remove the lib package
- update file list
- Import e



* Tue Mar 28 2006 Austin Acton <austin@mandriva.org> 0.16.999.023-0.20060323.3mdk
- typo

* Mon Mar 27 2006 Austin Acton <austin@mandriva.org> 0.16.999.023-0.20060323.2mdk
- requires evas and edje

* Sat Mar 25 2006 Austin Acton <austin@mandriva.org> 0.16.999.023-0.20060323.1mdk
- new cvs checkout

* Tue Jan 17 2006 Austin Acton <austin@mandriva.org> 0.16.999.23-0.20060117.1mdk
- new cvs checkout

* Thu Nov 24 2005 AUstin Acton <austin@mandriva.org> 0.16.999.13-0.20051124.1mdk
- new cvs checkout
- disable valgrind

* Mon Nov 14 2005 Austin Acton <austin@mandriva.org> 0.16.999.13-0.20051109.2mdk
- buildrequires

* Thu Nov 10 2005 Austin Acton <austin@mandriva.org> 0.16.999.13-0.20051109.1mdk
- new cvs checkout

* Sun Sep 4 2005 Austin Acton <austin@mandriva.org> 0.16.999.013-0.20050904.1mdk
- new cvs checkout

* Mon Aug 29 2005 Austin Acton <austin@mandriva.org> 0.16.999.013-0.20050813.5mdk
- update menu method from Guillaume Bedot

* Mon Aug 15 2005 Austin Acton <austin@mandriva.org> 0.16.999.013-0.20050813.4mdk
- oops, make menu method exectuable

* Sun Aug 14 2005 Austin Acton <austin@mandriva.org> 0.16.999.013-0.20050813.3mdk
- first test of menu method from Guillaume Bedot

* Sun Aug 14 2005 Austin Acton <austin@mandriva.org> 0.16.999.013-0.20050813.2mdk
- multiarch binaries

* Sun Aug 14 2005 Austin Acton <austin@mandriva.org> 0.16.999.013-0.20050813.1mdk
- new cvs checkout

* Mon Jun 27 2005 Austin Acton <austin@mandriva.org> 0.16.999.010-0.20050627.1mdk
- new cvs checkout

* Thu Jun 9 2005 Austin Acton <austin@mandriva.org> 0.16.999.008-0.20050608.2mdk
- requires ewl, edb

* Wed Jun 8 2005 Austin Acton <austin@mandriva.org> 0.16.999.008-0.20050608.1mdk
- new cvs checkout

* Mon May 16 2005 Austin Acton <austin@mandriva.org> 0.16.999.007-0.20050511.3mdk
- fix wmsession file

* Mon May 16 2005 Austin Acton <austin@mandriva.org> 0.16.999.007-0.20050511.2mdk
- move config binary to devel package
- use wmsession.d

* Fri May 13 2005 Austin Acton <austin@mandriva.org> 0.16.999.007-0.20050511.1mdk
- revamp e17 spec file
- add dm entry
- make parallel installable with enlightenment 16
